install :
cp ${EXEC_NAME} ${INSTALL_DIR}
- rm -f /usr/man/man1/beep.1.bz2
+ # rm -f /usr/man/man1/beep.1.bz2
cp ${MAN_FILE} ${MAN_DIR}
int i; /* loop counter */
/* try to snag the console */
- if((console_fd = open("/dev/console", O_WRONLY)) == -1) {
- fprintf(stderr, "Could not open /dev/console for writing.\n");
- printf("\a"); /* Output the only beep we can, in an effort to fall back on usefulness */
- perror("open");
- exit(1);
+ if((console_fd = open("/dev/tty0", O_WRONLY)) == -1) {
+ if((console_fd = open("/dev/vc/0", O_WRONLY)) == -1) {
+ fprintf(stderr, "Could not open /dev/tty0 or /dev/vc/0 for writing.\n");
+ printf("\a"); /* Output the only beep we can, in an effort to fall back on usefulness */
+ perror("open");
+ exit(1);
+ }
}
/* Beep */
--- /dev/null
+beep for Debian
+---------------
+
+The code is quite short so it should be clear that it's not exploitable.
+I therefore think that "suid root with only group audio executeable" is an
+acceptable default - you are of course able to change it anytime with
+dpkg-reconfigure beep
+
+ -- Gerfried Fuchs <alfie@debian.org>, Wed, 27 Feb 2002 12:48:26 +0100
--- /dev/null
+beep (1.2.2-14) unstable; urgency=medium
+
+ * The "l10n R us" release.
+ * Added the following translations of the debconf files:
+ - Japanese, by Hideki Yamane (closes: #242415)
+ - Catalan, by Miguel Gea Milvaques (closes: #284151)
+ Thanks to all of them.
+
+ -- Gerfried Fuchs <alfie@debian.org> Mon, 06 Dec 2004 12:10:11 +0100
+
+beep (1.2.2-13) unstable; urgency=low
+
+ * Added Italian debconf file from Stefano Melchior.
+
+ -- Gerfried Fuchs <alfie@debian.org> Mon, 22 Mar 2004 21:50:36 +0100
+
+beep (1.2.2-12) unstable; urgency=low
+
+ * Added Dutch debconf file from Tim Vandermeersch (closes: #209118)
+ * Updated Russian template, thanks to Ilgiz Kalmetev.
+ * Updated to policy version 3.6.1, no changes needed.
+ * Switched to utf8 for the changelog.Debian.
+
+ -- Gerfried Fuchs <alfie@debian.org> Thu, 02 Oct 2003 11:35:43 +0000
+
+beep (1.2.2-11) unstable; urgency=low
+
+ * Added the following translations of the debconf files:
+ - French, by Daniel Déchelotte (closes: #185067)
+ - Brazilian Portuguese, by Andre Luis Lopes (closes: #184955)
+ Thanks to all of them.
+
+ -- Gerfried Fuchs <alfie@debian.org> Mon, 17 Mar 2003 16:23:03 +0100
+
+beep (1.2.2-10) unstable; urgency=low
+
+ * debian/rules:
+ - converted to po-debconf
+ - generalized the file a little bit more
+ * debian/control:
+ - updated to policy version 3.5.8, no changes needed.
+
+ -- Gerfried Fuchs <alfie@debian.org> Sat, 08 Mar 2003 18:06:20 +0100
+
+beep (1.2.2-9) unstable; urgency=low
+
+ * Removed doubled sentence in english debconf templates file, and rewrote
+ parts of sentences in the german one.
+
+ -- Gerfried Fuchs <alfie@debian.org> Thu, 24 Oct 2002 17:00:19 +0200
+
+beep (1.2.2-8) unstable; urgency=low
+
+ * Fixed typos in german templates.de file (closes: #163176). Thanks for
+ noticing them, Christian (although I won't remove the first , -- it's
+ there for rethorical reasons).
+ * Removed /usr/doc -> /usr/share/doc handling from maintainer scripts.
+
+ -- Gerfried Fuchs <alfie@debian.org> Thu, 03 Oct 2002 11:59:05 +0200
+
+beep (1.2.2-7) unstable; urgency=low
+
+ * Updated to policy 3.5.7: support for DEB_BUILD_OPTIONS added.
+
+ -- Gerfried Fuchs <alfie@debian.org> Sun, 08 Sep 2002 21:27:23 +0200
+
+beep (1.2.2-6) unstable; urgency=low
+
+ * Corrected Goswin's surname in previous changelog entry (sorry!).
+ (closes: #157900)
+
+ -- Gerfried Fuchs <alfie@debian.org> Sat, 24 Aug 2002 15:59:57 +0200
+
+beep (1.2.2-5) unstable; urgency=low
+
+ * Applied devfs support patch from Goswin Brederlow (closes: #148884)
+
+ -- Gerfried Fuchs <alfie@debian.org> Tue, 13 Aug 2002 21:27:56 +0200
+
+beep (1.2.2-4) unstable; urgency=high
+
+ * Missing Build-Depends: debconf-utils -- thanks, lamont (closes: #145547)
+
+ -- Gerfried Fuchs <alfie@debian.org> Thu, 02 May 2002 16:18:22 +0200
+
+beep (1.2.2-3) unstable; urgency=high
+
+ * Install postrm file, too (no idea how I missed that, stupid me...)
+ * Installed only main debconf templates file, didn't merge them :-(( Do it
+ now -- no other changes, would be nice to have the translation in woody.
+
+ -- Gerfried Fuchs <alfie@debian.org> Tue, 30 Apr 2002 20:24:20 +0200
+
+beep (1.2.2-2) unstable; urgency=medium
+
+ * Open /dev/tty0 instead of /dev/console (closes: #134015)
+
+ -- Gerfried Fuchs <alfie@debian.org> Tue, 23 Apr 2002 17:33:29 +0200
+
+beep (1.2.2-1) unstable; urgency=low
+
+ * New upstream release
+ * printf("\a") now if it can't open /dev/console (closes: #134466)
+ * Put a sane paragraph into the copyright file, not only the location of the
+ GPL on Debian Systems.
+
+ -- Gerfried Fuchs <alfie@debian.org> Tue, 02 Apr 2002 08:21:36 +0200
+
+beep (1.2.1-5) unstable; urgency=low
+
+ * Updated watchfile to uscan version=2.
+
+ -- Gerfried Fuchs <alfie@debian.org> Mon, 18 Mar 2002 11:30:31 +0100
+
+beep (1.2.1-4) unstable; urgency=medium
+
+ * Added russion templates file -- thanks to Ilgiz Kalmetev (closes: #137619)
+ * changed from char to int to make it work on systems where char is unsigned
+ -- thanks to Daniel Eisenbud (closes: #136281) --> urgency reason
+
+ -- Gerfried Fuchs <alfie@debian.org> Mon, 11 Mar 2002 12:52:08 +0100
+
+beep (1.2.1-3) unstable; urgency=low
+
+ * Rewrote the templates file with hints from JoeyH, dancer and Francesco --
+ thanks, dudes (closes: #135866, #134811)
+ * Cleaned up rules file a little bit.
+
+ -- Gerfried Fuchs <alfie@debian.org> Wed, 27 Feb 2002 12:47:54 +0100
+
+beep (1.2.1-2) unstable; urgency=low
+
+ * Un-debhepler-ized rules file.
+
+ -- Gerfried Fuchs <alfie@debian.org> Wed, 13 Feb 2002 13:15:33 +0100
+
+beep (1.2.1-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Gerfried Fuchs <alfie@debian.org> Fri, 08 Feb 2002 12:38:28 +0100
--- /dev/null
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+# how to suid the beep program
+db_input medium beep/suid_option || true
+db_go
+
+exit 0
--- /dev/null
+Source: beep
+Section: sound
+Priority: optional
+Maintainer: Gerfried Fuchs <alfie@debian.org>
+Build-Depends: po-debconf
+Standards-Version: 3.6.1
+
+Package: beep
+Architecture: any
+Depends: ${shlibs:Depends}, debconf (>= 0.5)
+Description: Advanced pc-speaker beeper
+ beep does what you'd expect: it beeps. But unlike printf "\a" beep allows
+ you to control pitch, duration, and repetitions. Its job is to live inside
+ shell/perl scripts and allow more granularity than one has otherwise. It is
+ controlled completely through command line options. It's not supposed to be
+ complex, and it isn't - but it makes system monitoring (or whatever else it
+ gets hacked into) much more informative.
--- /dev/null
+This package was debianized by Gerfried Fuchs <alfie@debian.org> on
+Thu, 18 Oct 2001 09:26:50 +0200.
+
+It was downloaded from http://www.johnath.com/beep/
+
+Upstream Author: Johnathan Nightingale <johnath@johnath.com>
+
+Copyright:
+==========
+This software is copyright (C) 2000 by Johnathan Nightingale.
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; version 2 dated June, 1991.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+On Debian GNU/Linux systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
--- /dev/null
+[type: gettext/rfc822deb] templates
--- /dev/null
+# translation of beep_1.2.2-12_templates.po to catalan
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans#
+# Developers do not need to manually edit POT or PO files.
+# Jordi Fernández Mora <jordi.fernandezmo@campus.uab.es>, 2004.
+# Miguel Gea Milvaques <debian@miguelgea.com>, 2004.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ca\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2004-11-22 21:36+0100\n"
+"Last-Translator: Miguel Gea Milvaques <debian@miguelgea.com>\n"
+"Language-Team: Catalan <debian-l10n-catalan@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.9.1\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root per a tothom, suid root només pel grup audio, suid per a ningú "
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Com es gestionarà l'atribut suid root pel programa beep?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"s'ha d'executar beep com a root ja que necessita accedir al maquinari del "
+"speaker. Hi ha varies possibilitats de fer el programa usable: Només per "
+"l'usuari root (no apareix el bit de suid), només executable pels usuaris del "
+"grup audio, o executable per a tothom."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Ja que qualsevol programa que s'usa amb el suid root és un perill per la "
+"seguretat, no es fa per defecte. Tot i això el programa és petit (unes 150 "
+"línies) i és en justícia fàcil verificar la seguretat del codi vosaltres "
+"mateixos, si no confieu en el meu criteri."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: beep 1.2.2-10\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2003-03-08 17:54+0100\n"
+"Last-Translator: Gerfried Fuchs <alfie@debian.org>\n"
+"Language-Team: German <de@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-15\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root für alle, suid root nur für Gruppe audio ausführbar, nicht suid "
+"gesetzt"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Wie soll beep suid root gesetzt werden?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"beep muss als root ausgeführt werden, da es auf den Lautsprecher zugreifen "
+"muss. Es gibt mehrere Möglichkeiten, das Programm benutzbar zu machen: "
+"Entweder nur für root (gar kein suid), benutzbar von den Mitgliedern der "
+"Gruppe audio, oder für alle benutzbar."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Da jedes Programm, das suid root gesetzt ist, ein potentielles "
+"Sicherheitsproblem ist, wird dies daher nicht automatisch durchgeführt. Das "
+"Programm ist jedoch recht kurz (~150 Zeilen Code) und kann von Ihnen sehr "
+"leicht geprüft werden, falls Sie meiner Einschätzung nicht vertrauen."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: beep 1.2.2-10\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2003-03-13 22:18+0100\n"
+"Last-Translator: Daniel Déchelotte <maitre_yodan@club-internet.fr>\n"
+"Language-Team: Debian-l10n-french <debian-l10n-french@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-15\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"bit suid positionné et exécutable par tous, bit suid positionné mais "
+"exécutable uniquement par le groupe audio, pas de bit suid"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Comment gérer les privilèges spéciaux du programme beep ?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"Le programme beep doit être lancé en tant que super-utilisateur (« root ») "
+"pour pouvoir accéder au haut-parleur. Cela est possible de plusieurs "
+"façons : soit le bit suid est positionné et tout le monde peut exécuter ce "
+"programme, soit le bit suid est positionné et seuls les membres du groupe "
+"audio peuvent exécuter le programme, soit le bit suid n'est pas positionné "
+"et beep n'est alors exécutable que par le super-utilisateur."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Comme tout programme suid root représente un risque du point de vue de la "
+"sécurité, cela n'est pas fait par défaut. Toutefois, ce programme est "
+"vraiment petit (environ 150 lignes de code) et il est relativement facile de "
+"vérifier par vous-même que le code est sûr, si vous ne me faites pas "
+"confiance."
--- /dev/null
+msgid ""
+msgstr ""
+"Project-Id-Version: beep 1.2.2-12\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2004-12-06 12:08+0100\n"
+"Last-Translator: Stefano Melchior <stefano.melchior@openlabs.it>\n"
+"Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root per tutti, suid root solamente con gli eseguibili audio del "
+"gruppo, nient'affatto suid"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Come gestire suid root per il programma beep?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"beep deve essere lanciato come root dato che ha l'esigenza di accedere "
+"fisicamente agli autoparlanti. Ci sono diverse possibilità di rendere il "
+"programma fruibile: o solamente a root (non si usa affatto il bit suid), o "
+"solamente agli utenti del gruppo audio, oppure a tutti."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Dal momento che ogni programma che usa suid root è un rischio per la "
+"sicurezza, questo non viene abilitato come opzione predefinita. Comunque, il "
+"programma abbastanza piccolo (circa 150 linee di codice) e semplice da "
+"permettere la propria verifica della sicurezza del codice, qualora non ci si "
+"fidasse del giudizio dell'autore."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: beep 1.2.2-12\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2004-03-08 00:02+0900\n"
+"Last-Translator: Hideki Yamane <henrich@samba.gr.jp>\n"
+"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=EUC-JP\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"Á´¥æ¡¼¥¶¤¬»È¤¨¤ë¤è¤¦¤Ë root ¤Ë suid ¤¹¤ë, audio ¥°¥ë¡¼¥×¤À¤±¤¬¼Â¹Ô¤Ç¤¤ë¤è¤¦"
+"¤Ë root ¤Ë suid ¤¹¤ë, suid ¤·¤Ê¤¤"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "beep ¥×¥í¥°¥é¥à¤Ç¤Ï root ¤Ø¤Î suid ¤ò¤É¤Î¤è¤¦¤Ë¼è¤ê°·¤¤¤Þ¤¹¤«?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"¥¹¥Ô¡¼¥«¡¼¤Î¥Ï¡¼¥É¥¦¥§¥¢¤Ë¥¢¥¯¥»¥¹¤¹¤ëɬÍפ¬¤¢¤ë¤Î¤Ç beep ¤Ï root ¤È¤·¤Æ¼Â¹Ô"
+"¤·¤Ê¤±¤ì¤Ð¤Ê¤ê¤Þ¤»¤ó¡£¥×¥í¥°¥é¥à¤ò»È¤¦¤¿¤á¤Ë¤ä¤êÊý¤¬¤¤¤¯¤Ä¤«¤¢¤ê¤Þ¤¹: root ¤Î"
+"¤ß¤Ë¤¹¤ë (suid ¤òÁ´¤¯»È¤ï¤Ê¤¤¤è¤¦¤Ë¤¹¤ë) ¡¢audio ¥°¥ë¡¼¥×½ê°¤Î¥æ¡¼¥¶¤À¤±¤¬»È"
+"¤¨¤ë¤è¤¦¤Ë¤¹¤ë¡¢Ã¯¤Ç¤â»È¤¨¤ë¤è¤¦¤Ë¤¹¤ë¡¢¤Î¤É¤ì¤«¤Ç¤¹¡£"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"root ¤Ë suid ¤µ¤ì¤¿¥×¥í¥°¥é¥à¤Ï¥»¥¥å¥ê¥Æ¥£¥ê¥¹¥¯¤Ë¤Ê¤ë¤Î¤Ç¡¢¥Ç¥Õ¥©¥ë¥È¤Ç¤Ï "
+"suid ¤µ¤ì¤Þ¤»¤ó¡£¤·¤«¤·¤Ê¤¬¤é¡¢¤³¤Î¥×¥í¥°¥é¥à¤ÏÈó¾ï¤Ë¾®¤µ¤¤¤Î¤Ç (150¹ÔÄøÅÙ¤Î"
+"¥³¡¼¥É¤Ç¤¹)¡¢»ä¤ÎȽÃǤò¿®¤¸¤é¤ì¤Ê¤¤¾ì¹ç¡¢¤¢¤Ê¤¿¼«¿È¤Ç¥³¡¼¥É¤Î°ÂÁ´À¤ò³Îǧ¤¹¤ë"
+"¤Î¤Ï¤È¤Æ¤â´Êñ¤Ç¤¹¡£"
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: beep 1.2.2-11\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2003-09-07 20:58+0100\n"
+"Last-Translator: Tim Vandermeersch <qber66@skolelinux.no>\n"
+"Language-Team: dutch <debian-l10n-dutch@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root voor alles, suid root enkel met groep audio uitvoerbare bestanden, "
+"geen suid"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Hoe suid root af te handelen voor beep programma?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"beep dient als root te draaien omdat het toegang nodig heeft tot de "
+"luidspreker hardware. Er zijn verschillende mogelijkheden om het "
+"programmabruikbaar te maken: Ofwel enkel voor root (geen suid bit), enkel "
+"uitvoerbaar door gebruikers in de audio groep, of onbruikbaar voor iedereen."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Omdat elk suid root programma een veiligheids risico is wordt dit niet "
+"standaard gedaan. Het programma is vrij klein (~150 regels code) en is "
+"redelijk makkelijk om zelf te verifiëren, als u mijn oordeel niet vertrouwd."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: beep-1.2.2-10\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2003-03-15 22:56-0300\n"
+"Last-Translator: André Luís Lopes <andrelop@ig.com.br>\n"
+"Language-Team: Debian-BR Project <debian-l10n-portuguese@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root para todos, suid root com somente o grupo audio executável, sem "
+"suid"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "Como gerenciar suid root para o programa beep ?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"O beep deve ser executado como root, uma vez que o mesmo precisa acessar o "
+"hardware do alto-falante. Existem diversas possibilidades para tornar o "
+"programa utilizável : somente executável pelo root (sem suid), executável "
+"somente pelos usuários do grupo audio ou executável para todos."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"Devido a cada programa que é configurado para ser executado com suid root "
+"ser um risco de segurança isto não é feito por padrão. Porém, o programa é "
+"bastante pequeno (aproximadamente 150 linhas de código) e é muito fácil "
+"verificar a segurança do código caso você não confie em no julgamento no "
+"mantenedor deste pacote."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: 2003-10-02 17:10+0500\n"
+"Last-Translator: Ilgiz Kalmetev <translator@ilgiz.pp.ru>\n"
+"Language-Team: Russian <ru@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=KOI8-R\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+"suid root ÄÌÑ ×ÓÅÈ, suid root ÔÏÌØËÏ ÄÌÑ ÇÒÕÐÐÙ audio, ÎÅ ÓÔÁ×ÉÔØ suid ×ÏÏÂÝÅ"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr "ëÁË ÏÂÒÁÂÏÔÁÔØ suid root ÄÌÑ ÐÒÏÇÒÁÍÍÙ beep?"
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+"beep ÄÏÌÖÅÎ ÒÁÂÏÔÁÔØ ÏÔ ÉÍÅÎÉ ÐÏÌØÚÏ×ÁÔÅÌÑ root, ÔÁË ËÁË ÅÍÕ ÎÕÖÅÎ ÄÏÓÔÕÐ Ë "
+"ÄÉÎÁÍÉËÕ. åÓÔØ ÎÅÓËÏÌØËÏ ×ÏÚÍÏÖÎÏÓÔÅÊ ÉÓÐÏÌØÚÏ×ÁÔØ ÐÒÏÇÒÁÍÍÕ: ÉÌÉ ÔÏÌØËÏ ÄÌÑ "
+"root (ÎÅ ÕÓÔÁÎÁ×ÌÉ×ÁÔØ ÂÉÔ suid ÎÉ ÄÌÑ ËÏÇÏ), ÉÌÉ ÓÄÅÌÁÔØ ×ÙÐÏÌÎÉÍÙÍ ÔÏÌØËÏ "
+"ÄÌÑ ÐÏÌØÚÏ×ÁÔÅÌÅÊ ÇÒÕÐÐÙ audio, ÉÌÉ ×ÙÐÏÌÎÉÍÙÍ ÄÌÑ ×ÓÅÈ."
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
+"ðÒÏÇÒÁÍÍÙ, Õ ËÏÔÏÒÙÈ ÕÓÔÁÎÏ×ÌÅÎ suid root, Ñ×ÌÑÀÔÓÑ ÐÏÔÅÎÃÉÁÌØÎÏ ÕÑÚ×ÉÍÙÍÉ, "
+"ÐÏÜÔÏÍÕ suid-ÂÉÔ ÐÏ ÕÍÏÌÞÁÎÉÀ ÎÅ ÕÓÔÁÎÁ×ÌÉ×ÁÅÔÓÑ. ïÄÎÁËÏ, ÐÒÏÇÒÁÍÍÁ "
+"ÉÓËÌÀÞÉÔÅÌØÎÏ ÍÁÌÁ (~150 ÓÔÒÏË ËÏÄÁ), É ÷Ù ÏÞÅÎØ ÌÅÇËÏ ÍÏÖÅÔÅ ÐÒÏ×ÅÒÉÔØ "
+"ÂÅÚÏÐÁÓÎÏÓÔØ ÅÅ ËÏÄÁ ÓÁÍÉ, ÅÓÌÉ ÎÅ ÄÏ×ÅÒÑÅÔÅ ÍÎÅ."
--- /dev/null
+#
+# Translators, if you are not familiar with the PO format, gettext
+# documentation is worth reading, especially sections dedicated to
+# this format, e.g. by running:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Some information specific to po-debconf are available at
+# /usr/share/doc/po-debconf/README-trans
+# or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+# Developers do not need to manually edit POT or PO files.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: beep@packages.debian.org\n"
+"POT-Creation-Date: 2004-12-06 11:56+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Choices
+#: ../templates:3
+msgid ""
+"suid root for all, suid root with only group audio executable, not suid at "
+"all"
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid "How to handle suid root for beep program?"
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"beep must be run as root since it needs to access the speaker hardware. "
+"There are several posibilities to make the program usable: Either only for "
+"root (no suid bit at all), executable only by users of the group audio, or "
+"usable for all."
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../templates:5
+msgid ""
+"Because each program that is suid root is security risk this is not done by "
+"default. However, the program is quite small (~150 lines of code) and is "
+"fairly easy to verify the safety of the code yourself, if you don't trust my "
+"judgement."
+msgstr ""
--- /dev/null
+#!/bin/sh -e
+# postinst for beep
+
+# Source debconf library.
+if [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ "$1" != configure ]; then
+ exit 0
+fi
+
+suid=false
+if [ -e /usr/share/debconf/confmodule ]; then
+ db_get beep/suid_option
+ suid="$RET"
+fi
+
+# repair typo in option (see #135866)
+if [ "$suid" = "suid root with only group audio executeable" ] ; then
+ db_set beep/suid_option "suid root with only group audio executable"
+ suid="suid root with only group audio executable"
+fi
+
+if [ -x /usr/sbin/dpkg-statoverride ] ; then
+ if ! dpkg-statoverride --list /usr/bin/beep >/dev/null ; then
+ if [ "$suid" = "suid root for all" ] ; then
+ chmod 4755 /usr/bin/beep
+ elif [ "$suid" = "suid root with only group audio executable" ] ; then
+ chmod 4754 /usr/bin/beep
+ elif [ "$suid" = "not suid at all" ] ; then
+ chmod 0755 /usr/bin/beep
+ fi
+ fi
+else
+ if [ "$suid" = "suid root for all" ] ; then
+ chmod 4755 /usr/bin/beep
+ elif [ "$suid" = "suid root with only group audio executable" ] ; then
+ chmod 4754 /usr/bin/beep
+ elif [ "$suid" = "not suid at all" ] ; then
+ chmod 0755 /usr/bin/beep
+ fi
+fi
--- /dev/null
+#!/bin/sh -e
+# postrm for beep
+
+if [ "$1" = purge -a -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ db_purge
+fi
--- /dev/null
+#!/usr/bin/make -f
+# debian/rules file for beep
+
+PACKAGE = beep
+TMP = $(CURDIR)/debian/$(PACKAGE)
+
+FLAGS = -g -Wall
+INSTALL = install
+INSTALL_FILE = $(INSTALL) -p -oroot -groot -m644
+INSTALL_PROGRAM = $(INSTALL) -p -oroot -groot -m755
+INSTALL_SCRIPT = $(INSTALL) -p -oroot -groot -m755
+INSTALL_DIR = $(INSTALL) -p -d -oroot -groot -m755
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ FLAGS += -O0
+else
+ FLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+ STRIP = true
+endif
+
+
+clean:
+ $(checkdir)
+ $(checkroot)
+ -rm -rf $(TMP) debian/substvars debian/files build-stamp
+ -$(MAKE) clean
+
+
+build: build-stamp
+build-stamp:
+ $(checkdir)
+ $(MAKE) FLAGS="$(FLAGS)"
+ touch build-stamp
+
+
+install: build
+ $(checkdir)
+ $(checkroot)
+ -rm -rf $(TMP) debian/substvars
+ $(INSTALL_DIR) $(TMP)
+ cd $(TMP) && $(INSTALL_DIR) usr/bin usr/share/man/man1 \
+ usr/share/doc/$(PACKAGE)
+ $(MAKE) install INSTALL_DIR=$(TMP)/usr/bin \
+ MAN_DIR=$(TMP)/usr/share/man/man1
+ -test "$(STRIP)" = "true" && \
+ strip --remove-section=.comment --remove-section=.note \
+ --strip-unneeded $(TMP)/usr/bin/beep
+ chown root.audio $(TMP)/usr/bin/beep
+ $(INSTALL_FILE) CREDITS README $(TMP)/usr/share/doc/$(PACKAGE)
+ $(INSTALL_FILE) CHANGELOG $(TMP)/usr/share/doc/$(PACKAGE)/changelog
+ cd $(TMP)/usr/share/doc/$(PACKAGE) && gzip -9 changelog README
+
+
+# Build architecture-independent files here.
+binary-indep: build
+# We have nothing to do by default.
+
+
+binary-arch: build install
+ $(checkdir)
+ $(checkroot)
+ $(INSTALL_DIR) $(TMP)/DEBIAN
+ $(INSTALL_FILE) debian/README.Debian debian/copyright \
+ $(TMP)/usr/share/doc/$(PACKAGE)
+ $(INSTALL_FILE) debian/changelog \
+ $(TMP)/usr/share/doc/$(PACKAGE)/changelog.Debian
+ gzip -9 $(TMP)/usr/share/doc/$(PACKAGE)/changelog.Debian
+ $(INSTALL_SCRIPT) debian/postinst debian/postrm debian/config \
+ $(TMP)/DEBIAN
+ po2debconf debian/templates > $(TMP)/DEBIAN/templates
+ dpkg-shlibdeps -Tdebian/substvars -dDepends $(TMP)/usr/bin/beep
+ dpkg-gencontrol -ldebian/changelog -isp -Tdebian/substvars -p$(PACKAGE) \
+ -P$(TMP)
+ cd $(TMP) && find * -type f ! -regex '^DEBIAN/.*' -print0 | \
+ xargs -r0 md5sum > DEBIAN/md5sums
+ dpkg --build $(TMP) ..
+
+
+binary: binary-arch
+
+define checkdir
+ test -f debian/rules
+endef
+
+define checkroot
+ test root = "`whoami`"
+endef
+
+.PHONY: clean build install binary-arch binary
--- /dev/null
+Template: beep/suid_option
+Type: select
+_Choices: suid root for all, suid root with only group audio executable, not suid at all
+Default: suid root with only group audio executable
+_Description: How to handle suid root for beep program?
+ beep must be run as root since it needs to access the speaker hardware.
+ There are several posibilities to make the program usable: Either only
+ for root (no suid bit at all), executable only by users of the group
+ audio, or usable for all.
+ .
+ Because each program that is suid root is security risk this is not done
+ by default. However, the program is quite small (~150 lines of code) and
+ is fairly easy to verify the safety of the code yourself, if you don't
+ trust my judgement.
--- /dev/null
+version=2
+# Site/Directory Pattern Version Script
+http://www.johnath.com/beep/ beep-([\d\.]*)\.tar\.gz debian uupdate